> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept order

> Accept order



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /orders/{order_number}/accept
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/{order_number}/accept:
    parameters:
      - name: order_number
        in: path
        description: order number
        required: true
        schema:
          type: string
    post:
      tags:
        - Orders
      summary: Accept order
      description: Accept order
      operationId: accept-order
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      order:
                        $ref: '#/components/schemas/OrderDetail'
                    type: object
components:
  schemas:
    OrderDetail:
      title: OrderDetail
      type: object
      required:
        - order_number
        - order_date
        - status
        - payment_status
        - marketplace_synced
        - payment_success_date
        - customer_id
        - customer_email
        - customer_phone
        - customer_note
        - is_promotion_applied
        - promotion_discount_amount
        - is_coupon_applied
        - coupon_code
        - coupon_discount_amount
        - on_subscription
        - fulfillment_preference
        - sales_channel
        - metadata
        - subtotal
        - subtotal_tax
        - subtotal_including_tax
        - shipping_amount
        - shipping_tax_rate
        - shipping_total_tax
        - shipping_amount_including_tax
        - total_tax
        - grand_total
        - loyalty_point_redeemed
        - credit_balance_used
        - to_be_paid
        - loyalty_point_earned
        - order_items_count
        - order_items
        - billing_address
        - shipping_address
        - currency
        - feedback
        - allowed_actions
        - applied_coupons
        - applied_promotions
        - payments
        - shipments
        - created_at
        - modified_at
      properties:
        order_number:
          type: string
        order_date:
          type: string
          format: date-time
        status:
          $ref: '#/components/schemas/OrderStatus'
        payment_status:
          $ref: '#/components/schemas/PaymentStatus'
        marketplace_synced:
          description: Indicates whether the order was synced from Marketplace.
          type: boolean
        payment_success_date:
          type:
            - string
            - 'null'
        customer_id:
          type: string
        customer_email:
          type:
            - string
            - 'null'
        customer_phone:
          type:
            - string
            - 'null'
        customer_note:
          type:
            - string
            - 'null'
        is_promotion_applied:
          type: boolean
        promotion_discount_amount:
          type:
            - number
            - 'null'
          format: double
        is_coupon_applied:
          type: boolean
        coupon_code:
          type:
            - string
            - 'null'
        coupon_discount_amount:
          type:
            - number
            - 'null'
          format: double
        on_subscription:
          type: boolean
        fulfillment_preference:
          $ref: '#/components/schemas/FulfillmentPreference'
        sales_channel:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            type:
              type: string
          required:
            - id
            - name
            - type
        metadata:
          type: object
          additionalProperties:
            type: string
        subtotal:
          type: number
          format: double
        subtotal_tax:
          type: number
          format: double
        subtotal_including_tax:
          type: number
          format: double
        shipping_amount:
          type: number
          format: double
        shipping_tax_rate:
          type: number
          format: double
        shipping_total_tax:
          type: number
          format: double
        shipping_amount_including_tax:
          type: number
          format: double
        total_tax:
          type: number
          format: double
        grand_total:
          type: number
          format: double
        loyalty_point_redeemed:
          type: number
          format: double
        credit_balance_used:
          type: number
          format: double
        to_be_paid:
          type: number
          format: double
        loyalty_point_earned:
          type: number
          format: double
        order_items_count:
          type: integer
        order_items:
          type: array
          items:
            $ref: '#/components/schemas/OrderItem'
        billing_address:
          $ref: '#/components/schemas/CustomerAddress'
        shipping_address:
          $ref: '#/components/schemas/CustomerAddress'
        currency:
          type: object
          properties:
            name:
              type: string
            code:
              type: string
            symbol:
              type: string
        feedback:
          type:
            - string
            - 'null'
        allowed_actions:
          type: array
          items:
            $ref: '#/components/schemas/OrderAction'
        applied_coupons:
          type: array
          items:
            $ref: '#/components/schemas/AppliedCoupon'
        applied_promotions:
          type: array
          items:
            $ref: '#/components/schemas/AppliedPromotion'
        payments:
          description: >-
            Uses `OrderPayment` when `marketplace_synced` is `false`. Uses
            `MsOrderShipment` when `marketplace_synced` is `true`.
          oneOf:
            - type: array
              items:
                $ref: '#/components/schemas/OrderPayment'
            - type: array
              items:
                $ref: '#/components/schemas/MsOrderPayment'
        shipments:
          type: array
          items:
            $ref: '#/components/schemas/OrderShipment'
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
      x-tags:
        - Orders
    OrderStatus:
      enum:
        - draft
        - awaiting_approval
        - confirmed
        - schedule_requested
        - partially_scheduled
        - awaiting_shipment
        - shipped
        - partially_shipped
        - undelivered
        - partially_undelivered
        - return_to_origin
        - partially_return_to_origin
        - complete
        - partially_delivered
        - cancelled
        - pending
        - lost
        - sent_to_store
        - store_rejected
    PaymentStatus:
      title: PaymentStatus
      enum:
        - pending
        - success
        - failed
        - partially_paid
        - refund_initiated
        - refunded
        - unsettled
        - settled
        - partially_settled
        - debit_scheduled
        - collection_due
    FulfillmentPreference:
      title: FulfillmentPreference
      discriminator:
        propertyName: fulfillment_type
        mapping:
          collect-in-store:
            $ref: '#/components/schemas/CollectInStoreFulfillment'
          delivery:
            $ref: '#/components/schemas/DeliveryFulfillment'
          partial-collect-and-delivery:
            $ref: '#/components/schemas/PartialCollectAndDelivery'
      oneOf:
        - $ref: '#/components/schemas/CollectInStoreFulfillment'
        - $ref: '#/components/schemas/DeliveryFulfillment'
        - $ref: '#/components/schemas/PartialCollectAndDelivery'
      x-tags:
        - Orders
    OrderItem:
      title: OrderItem
      type: object
      required:
        - sku
        - quantity
      properties:
        product_id:
          type: string
          readOnly: true
        product_name:
          type: string
          readOnly: true
        product_image_url:
          type:
            - string
            - 'null'
          readOnly: true
        sku:
          type: string
        on_offer:
          type: boolean
          readOnly: true
        on_promotion:
          type: boolean
          readOnly: true
        on_subscription:
          type: boolean
        subscription_plan:
          type:
            - string
            - 'null'
        subscription_interval:
          type:
            - integer
            - 'null'
          readOnly: true
        subscription_frequency:
          type:
            - string
            - 'null'
          readOnly: true
        quantity:
          type: integer
        free_quantity:
          type: integer
          readOnly: true
        is_free_item:
          type: boolean
          readOnly: true
        selling_price:
          type: number
          format: double
          readOnly: true
        listing_price:
          type: number
          format: double
          readOnly: true
        promotion_discount_amount:
          type: number
          format: double
          readOnly: true
        coupon_discount_amount:
          type: number
          format: double
          readOnly: true
        tax_type:
          enum:
            - GST
          readOnly: true
        tax_rate:
          type: number
          format: float
          readOnly: true
        tax_amount:
          type: number
          format: double
          readOnly: true
        handling_charge_excluding_tax:
          type: number
          format: double
          readOnly: true
        handling_charge_including_tax:
          type: number
          format: double
        handling_charge_tax_rate:
          type: number
          format: double
        variant_id:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
        seller_id:
          description: >-
            Seller ID. This field is relevant for marketplace type stores only.
            Will return null for b2b and b2c type stores.
          type:
            - string
            - 'null'
        seller_detail:
          description: >-
            Seller detail information. This field is relevant for marketplace
            type stores only. Will return null for b2b and b2c type stores.
          oneOf:
            - $ref: '#/components/schemas/SellerBasicDetail'
            - type: 'null'
      x-tags:
        - Orders
    CustomerAddress:
      title: CustomerAddress
      type: object
      required:
        - first_name
        - phone
        - email
        - address_line1
        - pincode
        - city
        - state
        - country
      properties:
        id:
          type: string
          readOnly: true
        first_name:
          type: string
        last_name:
          type:
            - string
            - 'null'
        country_code:
          description: "Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided.\r\n"
          type: string
        phone:
          description: 10 digit phone number without country code.
          type: string
        email:
          type:
            - string
            - 'null'
        address_line1:
          type: string
        address_line2:
          type:
            - string
            - 'null'
        landmark:
          type:
            - string
            - 'null'
        pincode:
          type: string
        city:
          type: string
        state:
          type: string
        country:
          enum:
            - India
        gstin:
          description: Use in shipping details only for third party.
          type:
            - string
            - 'null'
        business_name:
          description: Use in shipping details only for third party.
          type:
            - string
            - 'null'
        is_phone_verified:
          type: boolean
          readOnly: true
        is_email_verified:
          type: boolean
          readOnly: true
        is_default_shipping:
          type: boolean
        is_default_billing:
          type: boolean
      examples: []
      x-tags:
        - Customers
    OrderAction:
      enum:
        - create-shipment
        - update-order
        - download-invoice
        - inventory-check
        - refresh-payment-status
        - return-replace
        - update-payment-status
        - cancel-order
    AppliedCoupon:
      title: AppliedPromotion
      description: Details about an active coupon applied to a cart/order
      type: object
      required:
        - coupon_id
        - coupon_type
        - savings
        - product_id
        - variant_id
        - product_name
        - variant_name
      properties:
        coupon_id:
          type: string
        coupon_type:
          enum:
            - discount
            - free-goods
            - fixed-price
            - free-shipping
            - buy-x-get-y
            - volume-based
            - accelerated-rewards
        savings:
          type: number
        product_id:
          type:
            - string
            - 'null'
        variant_id:
          type:
            - string
            - 'null'
        product_name:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
    AppliedPromotion:
      title: AppliedPromotion
      description: Details about an active promotion applied to a cart/order
      type: object
      required:
        - promotion_id
        - promotion_type
        - savings
        - product_id
        - variant_id
        - product_name
        - variant_name
        - applied_sequence
        - scope
      properties:
        promotion_id:
          type: string
        promotion_type:
          enum:
            - discount
            - free-goods
            - fixed-price
            - free-shipping
            - buy-x-get-y
            - volume-based
        savings:
          type: number
        product_id:
          type:
            - string
            - 'null'
        variant_id:
          type:
            - string
            - 'null'
        product_name:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
        applied_sequence:
          type: number
        scope:
          type: string
    OrderPayment:
      title: OrderPayment
      description: Order Payment
      oneOf:
        - $ref: '#/components/schemas/CardPayment'
        - $ref: '#/components/schemas/NetbankingPayment'
        - $ref: '#/components/schemas/UpiPayment'
        - $ref: '#/components/schemas/WalletPayment'
        - $ref: '#/components/schemas/BankTransfer'
        - $ref: '#/components/schemas/LoyaltyPointPayment'
    MsOrderPayment:
      title: MsOrderPayment
      description: Payment received in Marketplace for a marketplace-synced order.
      type: object
      required:
        - amount
        - payment_date
        - payment_status
        - settlement_type
        - transaction_type
      properties:
        amount:
          type: number
          format: double
        payment_date:
          type:
            - string
            - 'null'
          format: date-time
        payment_status:
          $ref: '#/components/schemas/PaymentStatus'
        settlement_type:
          enum:
            - prepaid
        transaction_type:
          enum:
            - payment
      x-tags:
        - Orders
    OrderShipment:
      title: OrderShipment
      description: Order shipment model
      type: object
      properties:
        reference_number:
          type: string
        status:
          $ref: '#/components/schemas/ShipmentStatus'
        total_weight:
          type: number
        total_boxes:
          type:
            - integer
            - 'null'
        shipment_items_count:
          type: integer
        shipment_items:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentItem'
        shipping_amount:
          type: number
          format: double
        shipping_tax_amount:
          type: number
          format: double
        shipping_amount_including_tax:
          type: number
          format: double
        courier_company_id:
          type:
            - string
            - 'null'
        courier_company_name:
          type:
            - string
            - 'null'
        shipping_label_url:
          type:
            - string
            - 'null'
        awb_no:
          type:
            - string
            - 'null'
        eta_delivery:
          type:
            - string
            - 'null'
          format: date-time
        shipped_date:
          type:
            - string
            - 'null'
          format: date-time
        delivered_date:
          type:
            - string
            - 'null'
          format: date-time
        cancellation_reason:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
      x-tags:
        - Orders
    CollectInStoreFulfillment:
      title: CollectInStoreFulfillment
      type: object
      required:
        - fulfillment_type
        - pickup_location_id
      properties:
        fulfillment_type:
          type: string
          const: collect-in-store
        preference_type:
          type: string
          enum:
            - user
            - auto
          readOnly: true
        pickup_location_id:
          type: string
        pickup_location_name:
          type: string
          readOnly: true
    DeliveryFulfillment:
      title: DeliveryFulfillment
      type: object
      required:
        - fulfillment_type
        - shipping_provider_id
      properties:
        fulfillment_type:
          type: string
          const: delivery
        preference_type:
          type: string
          enum:
            - user
            - auto
          readOnly: true
        shipping_provider_id:
          type:
            - string
            - 'null'
        shipping_provider_name:
          type:
            - string
            - 'null'
          readOnly: true
        courier_company_id:
          type:
            - string
            - 'null'
        courier_company_name:
          type:
            - string
            - 'null'
          readOnly: true
    PartialCollectAndDelivery:
      title: PartialCollectAndDelivery
      type: object
      required:
        - fulfillment_type
        - collect-in-store
        - delivery
      properties:
        fulfillment_type:
          type: string
          const: partial-collect-and-delivery
        preference_type:
          type: string
          enum:
            - user
            - auto
          readOnly: true
        collect-in-store:
          type: object
          properties:
            pickup_location_id:
              type: string
            pickup_location_name:
              type: string
              readOnly: true
            items:
              type: array
              items:
                $ref: '#/components/schemas/FulfillmentItem'
          required:
            - items
            - pickup_location_id
        delivery:
          type: object
          properties:
            shipping_provider_id:
              type: string
            shipping_provider_name:
              type:
                - string
                - 'null'
              readOnly: true
            courier_company_id:
              type:
                - string
                - 'null'
            courier_company_name:
              type:
                - string
                - 'null'
              readOnly: true
            items:
              type: array
              items:
                $ref: '#/components/schemas/FulfillmentItem'
          required:
            - shipping_provider_id
            - items
    SellerBasicDetail:
      title: SellerBasicDetail
      type: object
      properties:
        id:
          type: string
        trade_name:
          type: string
        legal_name:
          type: string
        business_type:
          $ref: '#/components/schemas/SellerBusinessType'
        tax_identification_number:
          type: string
    CardPayment:
      title: CardPayment
      description: Payments using credit card, debit card
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            card_number:
              description: "masked card number\r\ne.g. ************1111"
              type:
                - string
                - 'null'
            card_type:
              enum:
                - Visa
                - Master Card
                - Rupay
    NetbankingPayment:
      title: NetbankingPayment
      description: Payments using payment gateway netbanking option.
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            bank_name:
              type: string
    UpiPayment:
      title: UpiPayment
      description: UPI Payment
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            upi_id:
              type: string
    WalletPayment:
      title: WalletPayment
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            wallet_name:
              type: string
    BankTransfer:
      title: BankTransfer
      description: Bank transfer payment - IMPS, NEFT, RTGS
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            bank_account_number:
              description: "masked account number\r\ne.g. ************1234"
              type: string
            bank_name:
              type: string
    LoyaltyPointPayment:
      title: LoyaltyPointPayment
      description: Loyalty point redemption.
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
      x-tags:
        - Orders
    ShipmentStatus:
      enum:
        - unscheduled
        - schedule_requested
        - scheduled
        - packed
        - created
        - shipped
        - in_transit
        - out_for_delivery
        - delivery_attempted
        - undelivered
        - return_to_origin
        - delivered
        - cancelled
        - lost
        - sent_to_store
        - processing
        - ready_to_collect
        - store_rejected
    ShipmentItem:
      title: ShipmentItem
      description: Shipment item model
      type: object
      required:
        - product_id
        - variant_id
        - quantity
      properties:
        product_id:
          type: string
        product_name:
          type: string
          readOnly: true
        variant_id:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
          readOnly: true
        product_image_url:
          type:
            - string
            - 'null'
          readOnly: true
        sku:
          type: string
          readOnly: true
        quantity:
          type: integer
        free_quantity:
          type: integer
        is_free_item:
          type: boolean
          readOnly: true
        selling_price:
          type: number
          format: double
    FulfillmentItem:
      title: FulfillmentItem
      type: object
      required:
        - product_id
        - product_name
        - variant_id
        - variant_name
        - quantity
      properties:
        product_id:
          type: string
        product_name:
          type: string
          readOnly: true
        variant_id:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
          readOnly: true
        quantity:
          type: integer
    SellerBusinessType:
      title: SellerBusinessType
      type: string
      enum:
        - sole_proprietorship
        - private_limited
        - public_listed
        - public_limited
        - state_owned
        - charity
        - individual
    OrderPaymentInfo:
      title: OrderPaymentInfo
      description: Common fields in all types of payments.
      type: object
      properties:
        transaction_type:
          enum:
            - payment
            - refund
        request_number:
          type: string
        amount:
          type: number
          format: double
        payment_status:
          $ref: '#/components/schemas/PaymentStatus'
        payment_date:
          type: string
          format: date-time
        payment_reference_number:
          type:
            - string
            - 'null'
        payment_method:
          enum:
            - Card
            - Credit Card
            - Debit Card
            - Netbanking
            - UPI
            - Wallet
            - Loyalty Point
            - IMPS
            - NEFT
            - RTGS
        payment_mode:
          type: string
        icon_url:
          type:
            - string
            - 'null'
      x-tags:
        - Orders
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````